### Function

# Foundry OnTypeDiagnosticsForeachFunc

#### Declaration

    void
    (* FoundryOnTypeDiagnosticsForeachFunc) (
      FoundryDiagnostic* diagnostic,
      gpointer user_data
    )

#### Description

No description available.

#### Parameters

`diagnostic`

  Type: `FoundryDiagnostic`

  A `FoundryDiagnostic`.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  Data provided to foreach request.

  The argument can be `NULL`.
  The data is owned by the caller of the function.